KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubectl describe - Show details of a specific resource or group of resources

SYNOPSIS

kubectl describe [OPTIONS]

DESCRIPTION

Show details of a specific resource or group of resources.

Print a detailed description of the selected resources, including related resources such as events or controllers. You may select a single object by name, all objects of that type, provide a name prefix, or label selector. For example:
        $ kubectl describe TYPE NAME_PREFIX

will first check for an exact match on TYPE and NAME_PREFIX. If no such resource exists, it will output details for every resource that has a name prefixed with NAME_PREFIX.

Use "kubectl api-resources" for a complete list of supported resources.

OPTIONS

-A, --all-namespaces=false
    If present, list the requested object(s) across all namespaces. Namespace in current context is ignored even if specified with --namespace.

--chunk-size=500
    Return large lists in chunks rather than all at once. Pass 0 to disable. This flag is beta and may change in the future.

-f, --filename=[]
    Filename, directory, or URL to files containing the resource to describe

-k, --kustomize=""
    Process the kustomization directory. This flag can't be used together with -f or -R.

-R, --recursive=false
    Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory.

-l, --selector=""
    Selector (label query) to filter on, supports '=', '==', '!=', 'in', 'notin'.(e.g. -l key1=value1,key2=value2,key3 in (value3)). Matching objects must satisfy all of the specified label constraints.

--show-events=true
    If true, display events related to the described object.

OPTIONS INHERITED FROM PARENT COMMANDS

--as=""
    Username to impersonate for the operation. User could be a regular user or a service account in a namespace.

--as-group=[]
    Group to impersonate for the operation, this flag can be repeated to specify multiple groups.

--as-uid=""
    UID to impersonate for the operation.

--cache-dir="/home/username/.kube/cache"
    Default cache directory

--certificate-authority=""
    Path to a cert file for the certificate authority

--client-certificate=""
    Path to a client certificate file for TLS

--client-key=""
    Path to a client key file for TLS

--cluster=""
    The name of the kubeconfig cluster to use

--context=""
    The name of the kubeconfig context to use

--disable-compression=false
    If true, opt-out of response compression for all requests to the server

--insecure-skip-tls-verify=false
    If true, the server's certificate will not be checked for validity. This will make your HTTPS connections insecure

--kubeconfig=""
    Path to the kubeconfig file to use for CLI requests.

--match-server-version=false
    Require server version to match client version

-n, --namespace=""
    If present, the namespace scope for this CLI request

--password=""
    Password for basic authentication to the API server

--profile="none"
    Name of profile to capture. One of (none|cpu|heap|goroutine|threadcreate|block|mutex)

--profile-output="profile.pprof"
    Name of the file to write the profile to

--request-timeout="0"
    The length of time to wait before giving up on a single server request. Non-zero values should contain a corresponding time unit (e.g. 1s, 2m, 3h). A value of zero means don't timeout requests.

-s, --server=""
    The address and port of the Kubernetes API server

--tls-server-name=""
    Server name to use for server certificate validation. If it is not provided, the hostname used to contact the server is used

--token=""
    Bearer token for authentication to the API server

--user=""
    The name of the kubeconfig user to use

--username=""
    Username for basic authentication to the API server

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

--warnings-as-errors=false
    Treat warnings received from the server as errors and exit with a non-zero exit code

EXAMPLE
      # Describe a node
      kubectl describe nodes kubernetes-node-emt8.c.myproject.internal

      # Describe a pod
      kubectl describe pods/nginx

      # Describe a pod identified by type and name in "pod.json"
      kubectl describe -f pod.json

      # Describe all pods
      kubectl describe pods

      # Describe pods by label name=myLabel
      kubectl describe pods -l name=myLabel

      # Describe all pods managed by the 'frontend' replication controller
      # (rc-created pods get the name of the rc as a prefix in the pod name)
      kubectl describe pods frontend

SEE ALSO

kubectl(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!